<?php

namespace App\Domain\Scraping\Domain\Model\ValueObject;

readonly class CbzPath
{
    public function __construct(private string $path)
    {
        if (empty($path)) {
            throw new \InvalidArgumentException('Le chemin du fichier CBZ ne peut pas être vide');
        }
    }
    public function getPath(): string
    {
        return $this->path;
    }
}
